@import '../../../assets/scss/helpers/index';

.header {
  border-bottom: 2px double red;

  &-nav {
    position: relative;
    z-index: 100;
    display: flex;
    justify-content: space-between;
    padding: 10px 0;
    flex-wrap: wrap;
    align-items: center;

    &__brand {
      color: $wine;
      font-family: 'Akronim', cursive;
      font-size: 4rem;
    }

    &__menu-icon {
      position: absolute;
      left: calc(50% - 12px);
      top: calc(50% - 12px);
      width: 24px;
      height: 24px;
      transition: opacity 1s;

      &_show {
        opacity: 0;
      }

      &_close {
        opacity: 1;
      }
    }

    &__toggle {
      position: relative;
      width: 32px;
      height: 32px;
      display: flex;
      align-items: center;
      justify-content: center;
      outline-color: $wine;

      @include bp-up($md) {
        display: none;
      }

      &.collapsed {
        .header-nav__menu-icon_close {
          opacity: 0;
        }

        .header-nav__menu-icon_show {
          opacity: 1;
        }
      }
    }

    &__group {
      position: fixed;
      top: 0;
      left: 0;
      z-index: -1;
      opacity: 0;
      max-height: 0;
      flex-direction: column;
      width: 100vw;
      height: 100vh;
      overflow: hidden;
      padding: 90px 15px 20px;
      background: linear-gradient(to bottom, #f8ffe8 0%, #e3f5ab 33%, #b7df2d 100%);

      &.show {
        max-height: none;
        opacity: 1;
        transition: opacity 1s;
      }

      @include bp-up($md) {
        position: static;
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        flex: 1;
        overflow: unset;
        width: auto;
        height: auto;
        padding: 0;
        opacity: 1;
        background: transparent;
      }
    }

    &__item {
      margin-bottom: 10px;

      @include bp-up($md) {
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 0;
      }
    }

    &__link {
      width: 100%;
      height: 46px;
      text-align: left;
      font-size: 2rem;
      padding: 6px;
      font-family: 'Akronim', cursive;
      color: $grey;
      outline: none;
      white-space: nowrap;
      display: flex;
      align-items: center;

      &:focus,
      &:active,
      &:hover {
        outline: none;
        color: $wine;
        transition: 0.5s;
      }

      &.active {
        color: $black;
      }
    }
  }
}
.dropdown {
  position: relative;

  &-menu {
    height: 0;
    transition: 0.5s;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    padding: 0 10px;

    @include bp-up($md) {
      position: absolute;
      top: 100%;
      left: 0;
      background: $white;
      opacity: 0;
    }

    &.show {
      height: auto;
      opacity: 1;
      border: 2px double $wine;
      transition: opacity 0.5s;
    }
  }
}
